io.etcd.jetcd.maintenance

## Class SnapshotReaderResponseWithError

- java.lang.Object
- - io.etcd.jetcd.maintenance.SnapshotReaderResponseWithError

    public class SnapshotReaderResponseWithError
    extends Object

### Field Summary

Fields
`Exception` `error`
`SnapshotResponse` `snapshotResponse`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotReaderResponseWithError(Exception e)`
`SnapshotReaderResponseWithError(SnapshotResponse snapshotResponse)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshotResponse

    public SnapshotResponse snapshotResponse

#### error

    public Exception error

### Constructor Detail

#### SnapshotReaderResponseWithError

    public SnapshotReaderResponseWithError(SnapshotResponse snapshotResponse)

#### SnapshotReaderResponseWithError

    public SnapshotReaderResponseWithError(Exception e)